Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class RelativeEntry

    java.lang.Object
      mro.util.experimentation.RelativeEntry

All Implemented Interfaces:
  java.lang.Comparable

    public class RelativeEntry

extends java.lang.Object
implements java.lang.Comparable

RelativeEntry. Info on relative comparisons to appear in ResultTable.

Field Summary
`private int` | `number`
`private int` | `place`
`private int` | `relKind`
`private int` | `relNumber`

Constructor Summary
`RelativeEntry()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`int` | `getNumber()`
`int` | `getPlace()`
`int` | `getRelativeKind()`
`int` | `getRelativeNumber()`
`void` | `printPartXML(java.io.PrintWriter pw)`
`void` | `setDimension(java.lang.String dimension)`
`void` | `setNumber(java.lang.String number)`
`void` | `setPlace(java.lang.String place)`
`void` | `setRelativeNumber(java.lang.String relNumber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relKind

    private int relKind

### number

    private int number

### relNumber

    private int relNumber

### place

    private int place

Constructor Detail

### RelativeEntry

    public RelativeEntry()

Method Detail

### setDimension

    public void setDimension(java.lang.String dimension)

### setNumber

    public void setNumber(java.lang.String number)

### setRelativeNumber

    public void setRelativeNumber(java.lang.String relNumber)

### setPlace

    public void setPlace(java.lang.String place)

### getRelativeKind

    public int getRelativeKind()

### getNumber

    public int getNumber()

### getRelativeNumber

    public int getRelativeNumber()

### getPlace

    public int getPlace()

### printPartXML

    public void printPartXML(java.io.PrintWriter pw)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD